esl-afetch(1)

NAME
esl-afetch - retrieve alignments from a multi-MSA database

SYNOPSIS
esl-afetch [options] msafile key
  (single MSA retrieval)
esl-afetch -f [options] msafile keyfile
  (multiple MSA retrieval, from a file of keys)
esl-afetch --index msafile
  (index an MSA file for retrieval)

DESCRIPTION
esl-afetch retrieves the alignment named key from an alignment database in file msafile. The msafile is a "multiple multiple alignment" file in Stockholm (e.g. native Pfam or Rfam) format. The key is either the name (ID) of the alignment, or its accession number (AC).

Alternatively, esl-afetch -f provides the ability to fetch many alignments at once. The -f option has it interpret the second argument as a keyfile, a file consisting of one name or accession per line.

The msafile should first be SSI indexed with esl-afetch --index for efficient retrieval. An SSI index is not required, but without one alignment retrieval may be painfully slow.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-f  Interpret the second argument as a keyfile instead of as just one key. The keyfile contains one name or accession per line. This option doesn't work with the --index option.

-o <f>
    Output retrieved alignments to a file <f> instead of to stdout.

-O  Output retrieved alignment to a file named key. This is a convenience for saving some typing: instead of
     % esl-afetch -o RRM_1 msafile RRM_1
    you can just type
     % esl-afetch -O msafile RRM_1
    The -O option only works if you're retrieving a single alignment; it is incompatible with -f.

--index
    Instead of retrieving a key, the special command esl-afetch --index msafile produces an SSI index of the names and accessions of the alignments in the msafile. Indexing should be done once on the msafile to prepare it for all future fetches.

SEE ALSO
http://bioeasel.org/

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.

AUTHOR
http://eddylab.org